PostAnnotationBuilder Class

class NXOpen.CAE.PostAnnotationBuilder

Bases: NXOpen.TransientObject

Builder to create NXOpen.CAE.PostAnnotation from NXOpen.CAE.Post

<br/>User can pass entities which are same as current postview location.

The entities have to be passed in following manner

Number of entities should be same for both.
Number of entities should be same for both.
Number of entities should be same for both.
and NXOpen.CAE.PostAnnotationBuilder.SetEdgeFace(). Number of entities should be same for all three.

and NXOpen.CAE.PostAnnotationBuilder.SetEdgeFace(). Number of entities should be same for all three.

<br/>Though entities are being passed separately, they work as a set, so no of entities must be same for all. <br/>

  • Cylic-Symmetric Result Number of Sectors should be same as Number of entities
  • Axis-Symmetric Result Number of Angles should be same as number of entities.

To obtain an instance of this class use CAE::Post

New in version NX11.0.0.

Methods

Method Description
CommitAnnotation Commits the annotation to create annotation object
Delete Deletes the annotation builder.
Dispose Frees the object from memory.
SetAnnotationType Set the annotation type
SetCoordinate Set the coordinates for user annotation
SetEdgeFace Set the edge or face id for which annotation is defined
SetElements Set the element ids for which annotation is defined
SetName Set the annotation name
SetNodes Set the node ids for which annotation is defined
SetNumMinMax Set the number of min/max annotation for min/max type of annotation
SetResults Set the result index for which annotation is defined
SetSectionAngles Set the section angles for axis-symmetric model for which annotation is defined.
SetSectors Set the sector ids for cyclic-symmetric model for which annotation is defined
SetUpdateEntityOnResultChange Set weather entity is to be updated in case of result update for min/max annotation
SetUsertext Set the user text

Enumerations

PostAnnotationBuilderType Enumeration select option to define the annotation type

Method Detail

CommitAnnotation

PostAnnotationBuilder.CommitAnnotation

Commits the annotation to create annotation object

Signature CommitAnnotation()

Returns:
Return type:NXOpen.CAE.PostAnnotation

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

Delete

PostAnnotationBuilder.Delete

Deletes the annotation builder.

Signature Delete()

New in version NX11.0.0.

License requirements: None.

Dispose

PostAnnotationBuilder.Dispose

Frees the object from memory.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.

Signature Dispose()

New in version NX11.0.0.

License requirements: None.

SetAnnotationType

PostAnnotationBuilder.SetAnnotationType

Set the annotation type

Signature SetAnnotationType(type)

Parameters:type (NXOpen.CAE.PostAnnotationBuilderType) –

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetCoordinate

PostAnnotationBuilder.SetCoordinate

Set the coordinates for user annotation

Signature SetCoordinate(xcord, ycord)

Parameters:
  • xcord (float) –
  • ycord (float) –

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetEdgeFace

PostAnnotationBuilder.SetEdgeFace

Set the edge or face id for which annotation is defined

Signature SetEdgeFace(subIds)

Parameters:subIds (list of int) –

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetElements

PostAnnotationBuilder.SetElements

Set the element ids for which annotation is defined

Signature SetElements(elementIds)

Parameters:elementIds (list of int) –

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetName

PostAnnotationBuilder.SetName

Set the annotation name

Signature SetName(name)

Parameters:name (str) –

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetNodes

PostAnnotationBuilder.SetNodes

Set the node ids for which annotation is defined

Signature SetNodes(nodeIds)

Parameters:nodeIds (list of int) –

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetNumMinMax

PostAnnotationBuilder.SetNumMinMax

Set the number of min/max annotation for min/max type of annotation

Signature SetNumMinMax(numMinMax)

Parameters:numMinMax (int) –

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetResults

PostAnnotationBuilder.SetResults

Set the result index for which annotation is defined

Signature SetResults(results)

Parameters:results (list of NXOpen.CAE.Result) –

New in version NX12.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetSectionAngles

PostAnnotationBuilder.SetSectionAngles

Set the section angles for axis-symmetric model for which annotation is defined.

The list of sections depend on current postview and how it is created using NXOpen.CAE.AxiSymmetricParameters

Signature SetSectionAngles(sectionAngles)

Parameters:sectionAngles (list of float) –

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetSectors

PostAnnotationBuilder.SetSectors

Set the sector ids for cyclic-symmetric model for which annotation is defined

Signature SetSectors(sectorIds)

Parameters:sectorIds (list of int) –

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetUpdateEntityOnResultChange

PostAnnotationBuilder.SetUpdateEntityOnResultChange

Set weather entity is to be updated in case of result update for min/max annotation

Signature SetUpdateEntityOnResultChange(update)

Parameters:update (bool) –

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetUsertext

PostAnnotationBuilder.SetUsertext

Set the user text

Signature SetUsertext(usertext)

Parameters:usertext (list of str) – Additional text in each box

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)